<?php
/*--------------------------------------------------------------+
| PHP-Fusion Content Management System 				|
| Copyright  2002 - 2008 Nick Jones 				|
| http://www.php-fusion.co.uk/ 					|
+---------------------------------------------------------------+
| Author: Joakim Falk (Domi) 					|
+--------------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."eshop_jqcategory_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."eshop_jqcategory_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."eshop_jqcategory_panel/locale/English.php";
}

//jquery treeview, please note that category settings are not valid for this panel, they are only for dtree.
// More details how to style this can be found here : http://jquery.bassistance.de/treeview/demo/

include INFUSIONS."eshop/infusion_db.php";
$eshpsettings = dbarray(dbquery("SELECT * FROM ".DB_ESHOP_SETTINGS.""));

openside($locale['ESHPP001']);

add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."eshop_jqcategory_panel/eshop_jqcategory_panel.css' />");

add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."eshop_jqcategory_panel/jquery.treeview.css' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."eshop_jqcategory_panel/jquery.cookie.js'></script>");
add_to_head("<script type='text/javascript' src='".INFUSIONS."eshop_jqcategory_panel/jquery.treeview.pack.js'></script>");

function eshopcats($index) { 
    global $menu;
    $result = dbquery("SELECT * FROM ".DB_ESHOP_CATS." WHERE parentid='".$index."' AND ".groupaccess('access')." AND status='1' order by title ASC");
    if (!dbrows($result)) {
     return; 
	 }
    $menu.= '<ul>'; 
   while ($data=dbarray($result)) { 
        $menu.= '<li>'; 
        $menu.= "<a href='".INFUSIONS."eshop/eshop.php?category=".$data['cid']."' title='".$data['title']."'>".$data['title']."</a>";
        eshopcats($data['cid']); 
        $menu.= '</li>'; 
    } 
    $menu.= '</ul>'; 
}   

echo '<script type="text/javascript">

$(function() {
	$("#tree").treeview({
		collapsed: true,
		animated: "medium",
		control:"#sidetreecontrol",
		persist: "cookie",
	    persist: "location",
		collapsed: true,
		unique: true
	});
})
</script>';

$menu= '<h2>'.$locale['ESHPP003'].'</h2>'; 
echo "<div id='sidetree'>";
echo "<ul id='tree'>";
eshopcats(0);
echo $menu;  
echo "</ul></div>";


echo "<br /><center><a class='eshpbutton red' href='".INFUSIONS."eshop/campaigns.php' title='".$locale['ESHPF004']."'>".$locale['ESHPF004']."</a></center>";

closeside();
?>